%define 	name	openct
%define 	version	0.6.14
%define 	release	1
%define 	prefix	/usr

Summary: 	CT-API driver for PC/SC-Lite
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Vendor: 	StartCom Ltd., http://www.startcom.org
Packager: 	Eddy Nigg <eddy_nigg@startcom.org>
Group:		Applications/System
Url:		http://www.opensc.org/openct/
Source:		http://www.opensc.org/files/%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-%{release}
BuildRequires:  pcsc-lite-devel >= 1.3.0
Requires:	pcsc-lite >= 1.3.0
Provides: 	%{name} = %{version}


%description
OpenCT implements drivers for several smart card readers. It comes 
as driver in ifdhandler format for PC/SC-Lite, as CT-API driver, or as 
a small and lean middleware, so applications can use it with minimal 
overhead. OpenCT also has a primitive mechanism to export smart 
card readers to remote machines via tcp/ip.

%package        devel
Summary:        OpenCT development files
Group:          Development/Libraries
Requires:       %{name} >= %{version}
Requires:       pkgconfig

%description    devel
%{summary}.

%prep
%setup -q

%build
%configure -q \
	--with-pcsclite=/usr \
	--disable-rpath \
	--with-bundle-dir=$RPM_BUILD_ROOT/usr/share/pcsc/drivers

make %{?_smp_mflags}


%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
%makeinstall

mkdir -p $RPM_BUILD_ROOT/var/run/openct
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/hotplug/usb
mkdir -p $RPM_BUILD_ROOT/etc/udev/rules.d/
mkdir -p $RPM_BUILD_ROOT/lib/udev/
mkdir -p $RPM_BUILD_ROOT/usr/share/hal/fdi/information/10freedesktop/
cp etc/openct.udev $RPM_BUILD_ROOT/etc/udev/rules.d/95-openct.rules
cp etc/openct_usb $RPM_BUILD_ROOT/lib/udev/openct_usb
cp etc/openct_pcmcia $RPM_BUILD_ROOT/lib/udev/openct_pcmcia
cp etc/openct_serial $RPM_BUILD_ROOT/lib/udev/openct_serial
cp etc/openct.usermap $RPM_BUILD_ROOT/etc/hotplug/usb/openct.usermap
cp etc/openct_usb $RPM_BUILD_ROOT/etc/hotplug/usb/openct
cp etc/init-script $RPM_BUILD_ROOT/etc/rc.d/init.d/openct
cp etc/openct.fdi $RPM_BUILD_ROOT/usr/share/hal/fdi/information/10freedesktop/10-usb-openct.fdi
cp etc/openct.hald $RPM_BUILD_ROOT/usr/bin/hald-addon-openct
cp etc/openct.conf $RPM_BUILD_ROOT/etc/openct.conf
mv $RPM_BUILD_ROOT/usr/include/*.h $RPM_BUILD_ROOT/usr/include/openct/

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%post
ln -s /etc/init.d/openct /etc/rc0.d/K50openct
ln -s /etc/init.d/openct /etc/rc3.d/S50openct
ln -s /etc/init.d/openct /etc/rc5.d/S50openct
ln -s /etc/init.d/openct /etc/rc6.d/K20openct

%postun
service openct stop
rm -f /etc/rc0.d/K50openct
rm -f /etc/rc3.d/S50openct
rm -f /etc/rc5.d/S50openct
rm -f /etc/rc6.d/K20openct

%files
%defattr(-,root,root)
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/*
%{_libdir}/openct-ifd.*
%{_libdir}/libopenct*
/lib/udev/openct_*
%{_sysconfdir}/*
%{_localstatedir}/run/openct

%files devel
%defattr(-,root,root,-)
%doc doc/*
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Fri May 9 2008 Eddy Nigg <eddy_nigg@startcom.org>
- Update to latest
* Sat Mar 18 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 4.0.x
- Use latest snapshot
* Sat Nov 19 2005 StartCom Ltd., Eddy Nigg <eddy_nigg@startcom.org>
- Added support for NG-OTP eToken USB config
- Added mkdir of /var/run/openct
* Fri Nov 18 2005 StartCom Ltd., Eddy Nigg <eddy_nigg@startcom.org>
- Initial build
